Bug 974585 - kernel-3.9.5-201.fc18.x86_64 hangs machine
kernel-3.9.5-201.fc18.x86_64 hangs machine
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 09:42 EDT by Brian J. Murrell
Modified: 2014-06-09 08:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:11:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2013-06-14 09:42:33 EDT
Description of problem:
Shortly after booting my laptop (Thinkpad W510) kernel-3.9.5-201.fc18.x86_64 and starting to work the machine hard hangs.

Version-Release number of selected component (if applicable):
3.9.5-201.fc18.x86_64

How reproducible:
Was 100% of the boots before I stepped back to kernel-3.9.2-200.fc18.x86_64 to see if I have any better luck with that.

Steps to Reproduce:
1. Boot laptop
2. Start working

Actual results:
Eventually, within an hour or less, observe the machine completely hung.

Expected results:
Uhm, no hang?  :-)

Additional info:
This machine has successfully run every kernel through the F17-F18 series until this kernel so something substantially "different" is going on with this new kernel.

Unfortunately, given that this is a laptop, there is no serial port to redirect the console to and watch for an oops on.  Additionally, because I only have wireless available here, I cannot use netconsole to try to capture an oops.  Netconsole complains that wlan0 doesn't support polling.

I do have a serial USB dongle around here but I suspect, generally speaking, USB gets trashed before any oops would make it out of it.  Please correct me if that assumption is wrong and USB serial dongles are typically pretty reliable to get oopses from.
Comment 1 Josh Boyer 2013-07-01 14:08:00 EDT
What is the machine doing at the time of the hangs?

Can you ssh into the machine after it hangs?

Can you try booting the debug kernel and seeing if you get any oops output with that?
Comment 2 Brian J. Murrell 2013-07-02 09:34:38 EDT
(In reply to Josh Boyer from comment #1)
> What is the machine doing at the time of the hangs?

Nothing in particular.  It's just a regular developer laptop running a graphical desktop and some KVMs.
 
> Can you ssh into the machine after it hangs?

No.  It's a total hard hang.
 
> Can you try booting the debug kernel and seeing if you get any oops output
> with that?

I can try, the next time I need to reboot, but rebooting/logging out/in is a huge productivity loss in having to get all of my work environment into it's previous state so I can't just do it on demand.

I see that kernel-3.9.6-200.fc18.x86_64.rpm is released and installed on my machine.  I suppose I should try that first and then try it's debug kernel first.

I do have a USB serial console on this thing now.  I don't know how useful it will be for an oops though.

I will update when I have more information.
Comment 3 Josh Boyer 2013-07-02 09:37:52 EDT
If you're running guests via KVM and using virtio for networking, you might be hitting bug 975065.  Try switching the network device emulation to e1000 or something else and seeing if the hang still happens.
Comment 4 Justin M. Forbes 2013-10-18 17:19:06 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2013-11-27 11:11:31 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 6 Brian J. Murrell 2014-06-09 08:09:54 EDT
Yeah, closing this is fine.  It's pretty old.

Note You need to log in before you can comment on or make changes to this bug.